org.apache.felix.rootcause

## Class DSRef

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.apache.felix.rootcause.DSRef

    public class DSRef
    extends org.osgi.dto.DTO

DTO for a reference

### Field Summary

Fields
`List<DSComp>` `candidates` List of candidates - might be empty.
`String` `filter` Optional filter
`String` `iface` Referenced interface
`String` `name` Reference name

### Constructor Summary

Constructors
Constructor and Description
`DSRef()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

Reference name

#### iface

    public String iface

Referenced interface

#### filter

    public String filter

Optional filter

#### candidates

    public List<DSComp> candidates

List of candidates - might be empty.

### Constructor Detail

#### DSRef

    public DSRef()